package com.ruoyi.project.plant.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.plant.mapper.TMtOpextrackMapper;
import com.ruoyi.project.plant.domain.TMtOpextrack;
import com.ruoyi.project.plant.service.ITMtOpextrackService;

/**
 * OpEx项目跟踪Service业务层处理
 *
 * @author ruoyi
 * @date 2021-01-04
 */
@Service
public class TMtOpextrackServiceImpl implements ITMtOpextrackService
{
    @Autowired
    private TMtOpextrackMapper tMtOpextrackMapper;

    /**
     * 查询OpEx项目跟踪
     *
     * @param id OpEx项目跟踪ID
     * @return OpEx项目跟踪
     */
    @Override
    public TMtOpextrack selectTMtOpextrackById(Long id)
    {
        return tMtOpextrackMapper.selectTMtOpextrackById(id);
    }

    /**
     * 查询OpEx项目跟踪列表
     *
     * @param tMtOpextrack OpEx项目跟踪
     * @return OpEx项目跟踪
     */
    @Override
    public List<TMtOpextrack> selectTMtOpextrackList(TMtOpextrack tMtOpextrack)
    {
        return tMtOpextrackMapper.selectTMtOpextrackList(tMtOpextrack);
    }

    /**
     * 新增OpEx项目跟踪
     *
     * @param tMtOpextrack OpEx项目跟踪
     * @return 结果
     */
    @Override
    public int insertTMtOpextrack(TMtOpextrack tMtOpextrack)
    {
        return tMtOpextrackMapper.insertTMtOpextrack(tMtOpextrack);
    }

    /**
     * 修改OpEx项目跟踪
     *
     * @param tMtOpextrack OpEx项目跟踪
     * @return 结果
     */
    @Override
    public int updateTMtOpextrack(TMtOpextrack tMtOpextrack)
    {
        return tMtOpextrackMapper.updateTMtOpextrack(tMtOpextrack);
    }

    /**
     * 批量删除OpEx项目跟踪
     *
     * @param ids 需要删除的OpEx项目跟踪ID
     * @return 结果
     */
    @Override
    public int deleteTMtOpextrackByIds(Long[] ids)
    {
        return tMtOpextrackMapper.deleteTMtOpextrackByIds(ids);
    }

    /**
     * 删除OpEx项目跟踪信息
     *
     * @param id OpEx项目跟踪ID
     * @return 结果
     */
    @Override
    public int deleteTMtOpextrackById(Long id)
    {
        return tMtOpextrackMapper.deleteTMtOpextrackById(id);
    }
}
